Bug 1259322 - (CVE-2015-5218) CVE-2015-5218 colcrt: global-buffer-overflow
CVE-2015-5218 colcrt: global-buffer-overflow
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20150902,reported=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-02 08:05 EDT by Martin Prpič
Modified: 2016-01-22 10:04 EST (History)
4 users (show)

See Also:
Fixed In Version: util-linux 2.27
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-02 08:05:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2015-09-02 08:05:24 EDT
A flaw was reported in colcrt:

When running colcrt with a big input it crashes because of a global-buffer-overflow caused by a global variable 'page' defined in 'text-utils/colcrt.c:73:9

It is unclear whether this can be used to execute code on the system.

Proposed patches:

https://github.com/kerolasa/lelux-utiliteetit/commit/70e3fcf293c1827a2655a86584ab13075124a8a8
https://github.com/kerolasa/lelux-utiliteetit/commit/d883d64d96ab9bef510745d064a351145b9babec
Comment 2 Martin Prpič 2015-11-23 05:22:42 EST
This was fixed in util-linux version 2.27.

Our quick analysis did not confirm a code execution vector, thus this flaw is limited to a local denial of service when running colcrt on a crafted file.

Additional information:

http://www.spinics.net/lists/util-linux-ng/msg11873.html
https://www.kernel.org/pub/linux/utils/util-linux/v2.27/v2.27-ReleaseNotes

Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Note You need to log in before you can comment on or make changes to this bug.